Main Page | Namespace List | Class Hierarchy | Alphabetical List | Class List | Directories | File List | Namespace Members | Class Members | File Members | Related Pages

# ace_yy_buffer_state Struct Reference

List of all members.

## Public Member Functions
| ace_yy_buffer_state (void)
| ~ace_yy_buffer_state (void)
## Public Attributes
char | input_ [ACE_YY_CONVERSION_SPACE]
size_t | index_
size_t | size_
size_t | start_
bool | need_more_
bool | eof_
int | state_
char | string_start_

## Constructor & Destructor Documentation

ace_yy_buffer_state::ace_yy_buffer_state | ( | void |  | ) | `[inline]`

ace_yy_buffer_state::~ace_yy_buffer_state | ( | void |  | ) | `[inline]`

## Member Data Documentation

bool ace_yy_buffer_state::eof_

size_t ace_yy_buffer_state::index_

char ace_yy_buffer_state::input_[ACE_YY_CONVERSION_SPACE]

bool ace_yy_buffer_state::need_more_

size_t ace_yy_buffer_state::size_

size_t ace_yy_buffer_state::start_

int ace_yy_buffer_state::state_

char ace_yy_buffer_state::string_start_

The documentation for this struct was generated from the following file:

- Svc_Conf_Lexer.cpp